## org.apache.ivy.osgi.core
Class BundleInfo

    java.lang.Object
      org.apache.ivy.osgi.core.BundleInfo

    public class BundleInfo

extends java.lang.Object

Bundle info extracted from the bundle manifest.

Field Summary
`static java.lang.String` `BUNDLE_TYPE`
`static Version` `DEFAULT_VERSION`
`static java.lang.String` `PACKAGE_TYPE`
`static java.lang.String` `SERVICE_TYPE`

Constructor Summary
`BundleInfo(java.lang.String name, Version version)`

Method Summary
`void` `addCapability(BundleCapability capability)`
`void` `addRequirement(BundleRequirement requirement)`
`boolean` `equals(java.lang.Object obj)`
`java.util.Set` `getCapabilities()`
`java.lang.String` `getDescription()`
`java.lang.String` `getDocumentation()`
`java.util.List` `getExecutionEnvironments()`
`java.util.Set` `getExports()`
`java.lang.String` `getId()`
`java.util.Set` `getImports()`
`java.lang.String` `getLicense()`
`java.lang.String` `getPresentationName()`
`Version` `getRawVersion()`
`java.util.Set` `getRequirements()`
`java.util.Set` `getRequires()`
`java.util.Set` `getServices()`
`java.lang.Integer` `getSize()`
`java.lang.String` `getSymbolicName()`
`java.net.URI` `getUri()`
`Version` `getVersion()`
`int` `hashCode()`
`void` `setDescription(java.lang.String description)`
`void` `setDocumentation(java.lang.String documentation)`
`void` `setExecutionEnvironments(java.util.List executionEnvironment)`
`void` `setId(java.lang.String id)`
`void` `setLicense(java.lang.String license)`
`void` `setPresentationName(java.lang.String presentationName)`
`void` `setSize(java.lang.Integer size)`
`void` `setUri(java.net.URI uri)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_VERSION

    public static final Version DEFAULT_VERSION

### PACKAGE_TYPE

    public static final java.lang.String PACKAGE_TYPE

See Also:
  Constant Field Values

### BUNDLE_TYPE

    public static final java.lang.String BUNDLE_TYPE

See Also:
  Constant Field Values

### SERVICE_TYPE

    public static final java.lang.String SERVICE_TYPE

See Also:
  Constant Field Values

Constructor Detail

### BundleInfo

    public BundleInfo(java.lang.String name,
                      Version version)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getSymbolicName

    public java.lang.String getSymbolicName()

### getVersion

    public Version getVersion()

### getRawVersion

    public Version getRawVersion()

### setUri

    public void setUri(java.net.URI uri)

### getUri

    public java.net.URI getUri()

### setId

    public void setId(java.lang.String id)

### getId

    public java.lang.String getId()

### setPresentationName

    public void setPresentationName(java.lang.String presentationName)

### getPresentationName

    public java.lang.String getPresentationName()

### setDescription

    public void setDescription(java.lang.String description)

### getDescription

    public java.lang.String getDescription()

### setDocumentation

    public void setDocumentation(java.lang.String documentation)

### getDocumentation

    public java.lang.String getDocumentation()

### setLicense

    public void setLicense(java.lang.String license)

### getLicense

    public java.lang.String getLicense()

### setSize

    public void setSize(java.lang.Integer size)

### getSize

    public java.lang.Integer getSize()

### addRequirement

    public void addRequirement(BundleRequirement requirement)

### getRequirements

    public java.util.Set getRequirements()

### addCapability

    public void addCapability(BundleCapability capability)

### getCapabilities

    public java.util.Set getCapabilities()

### getExecutionEnvironments

    public java.util.List getExecutionEnvironments()

### setExecutionEnvironments

    public void setExecutionEnvironments(java.util.List executionEnvironment)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getRequires

    public java.util.Set getRequires()

### getImports

    public java.util.Set getImports()

### getExports

    public java.util.Set getExports()

### getServices

    public java.util.Set getServices()